<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <title>MDEF 2019-2020 Portfolio Temaplate</title>

  <!-- mobile responsive meta -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

  <!-- ** Plugins Needed for the Project ** -->
  <!-- Bootstrap -->
  <link rel="stylesheet" href="../plugins/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="../plugins/themify/css/themify-icons.css">
  <link rel="stylesheet" href="../plugins/counto/animate.css">
  <link rel="stylesheet" href="../plugins/aos/aos.css">
  <link rel="stylesheet" href="../plugins/owl-carousel/owl.carousel.min.css">
  <link rel="stylesheet" href="../plugins/owl-carousel/owl.theme.default.min.css">
  <link rel="stylesheet" href="../plugins/magnific-popup/magnific-popup.css">
  <link rel="stylesheet" href="../plugins/animated-text/animated-text.css">

  <!-- Main Stylesheet -->
  <link href="../css/style.css" rel="stylesheet">

</head>

<body>

<!-- Navigation Start -->
<!-- Header Start -->

<nav class="navbar navbar-expand-lg  main-nav " id="navbar">
	<div class="container">
	  <a class="navbar-brand" href="../index.html">
	  	<img src="../images/logo.png" alt="" class="img-fluid">
	  </a>

	  <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbarsExample09" aria-controls="navbarsExample09" aria-expanded="false" aria-label="Toggle navigation">
		<span class="ti-align-justify"></span>
	  </button>

		  <div class="collapse navbar-collapse" id="navbarsExample09">
			<ul class="navbar-nav ml-auto">
			  <li class="nav-item  active"><a class="nav-link" href="imakehome.html">Return</a></li>
			</ul>
		</div>
	</div>
</nav>

<!-- Header Close -->



<section class="page-title section pb-0">
  <div class="container">
    <div class="row">
      <div class="col-lg-12">
        <div class="text-center">
          <h4 class="text-capitalize mb-0 text-lg">W1 - PRINCIPLES AND PRACTICES</h4>
        </div>
      </div>
    </div>
  </div>
</section>


<section class="section portfolio-single">
	<div class="container">
		<div class="row justify-content-center">
			<div class="col-lg-8">
				<div class="project-info">

					<p>
This week was about introducing ourselves and our FabAcademy website, and to sketch our plan for our final project.
<br>
<br>
<br>
<h4 class="mb-4">GIT</h4>
<p>
  We are using Git to host and publish our websites. Git is an open-source version control system. (Fun fact: the father of Linux - Linus Torvalds - started it.) Every time we change the coding in our websites, we create a new version in our git repositories.
  It’s a very useful system not only for single website and app developers, but especially for those working in teams - they only need to download the latest version, make changes, and upload the latest revision. But it’s great for any version control projects really, I read that some people use it for version controlling their Word documents (it’s a rare use of Git, but exists).
<br>
<br>
  In our case, we literally started our git journey by downloading an existing repository on our computer, namely <b><a href="https://gitlab.com/flu/mdef19-20-templateblogpage">the template of our website the FLU team created for us</a></b>.
<br>
<br>
  After having the template copied to our computer and pushed to our repositories, we can start modifying the template and fill it up with content. For that, I’ve downloaded the <b><a href="https://atom.io/">Atom text and source code editor</a></b>. I like it’s design and it’s super straightforward to use - I just open my local folder and have access to all the files, ready to code with html, css and javascript. The best is that I can have a preview of the page I've been doing so I can test the code before pushing it to the git repo - which saves a lot of useless versions. (For this, I had to make sure I had the Preview HTML package.)
  It’s developed by GitHub so I could even push the content to my repo from here, but for that, I prefer to use Terminal (Mac), as I feel like I have more control over that.
  <br>
  <br>
  Here some more details about the creation of the repository and the git commands I’ve been using:
  <br>
  <br>
To create my website,
<br>
<br>
I have downloaded git from <a href="https://git-scm.com/downloads">HERE</a>
<br>
<br>
I registered on <a href="https://gitlab.com/#register-pane">GITLAB</a>, and created a folder on my desktop for the git project.
<br>
<br>
I have a Mac, so I used the Terminal to configure Git with my username and email address:
<br>
<br>
<i>
git config –-global user.name “YOUR_USERNAME”
git config -–global user.email “jSmith@mail.com”
</i>
<br>
<br>
The SSH key allows a secure connection between our computers and GitLab.
Therefore it’s crucial to generate an SSH key and copy and paste it to GIT on the web version - User settings > SSH Keys:
<br>
<br>
<i>
ssh-keygen -t rsa -C "$your_email"
cat ~/.ssh/id_rsa.pub
Mac:
pbcopy < ~/.ssh/id_rsa.pub
</i>
<br>
<br>
I cloned a student repository I was provided with for the Master in Design for Emergent Future course:
<br>
<br>
<i>
git clone git@gitlab.com:flu/mdef19-20-templateblogpage.git
</i>
<br>
<br>
Every time I change my repository in my Desktop (I use Atom for coding), I navigate to my repository and use the following commands in the Terminal:
<br>
<br>
<i>
git status
git add . (to upload all the files at once)
git commit -m ‘with a detailed description about the change I did’
git push
</i>
<br>
<br>
ISSUES
<br>
<br>
I had an issue with my initial username containing a dot (“.”) > adel.sarvary
<br>
So every time someone tried to open my website, received an error that the connection is not private.
<br>
<br>
<img src="../images/make/w1/notprivate.jpg" alt="" class="img-fluid w-5">
<br>
<br>
The solution was to simply change my username removing the dot.
<br>
<br>
This error occurred because Gitlab has a known bug that users who have a dot in their usernames, are not able to have a secure website with Gitlab Pages.
<br>
<a href="https://gitlab.com/gitlab-org/gitlab-foss/issues/40241">more info...</a>
<br>
<br>
After changing my username, I just pushed my repository to the new account and have no issues since then.
<br>
<br>

<h4 class="mb-4">ABOUT ME</h4>
<p>
I was born in Budapest, Hungary, raised in the countryside during communism, fed by a family garden, studied agricultural economics, worked on logistical, localization, corporate social responsibility communication and internal digital collaboration challenges for multinational corporations, and I am currently learning by doing motherhood and other types of design solutions for emergent futures.
<br>
<br>
<img src="../images/Adel.JPG" alt="" class="img-fluid w-3">
<br>
<br>
<i>”…my dream is to help create new solutions for self-sufficient,
eco-friendly collaboration cycles in any environment.
My goal is to learn how to design balanced partnership frameworks
encouraging user involvement, and simple, but habit-forming
tools using advanced technologies…”</i>
<br>
Adel Sarvary, Letter of Intent for MDEF application, 30/11/2018
            <br>
            <br>
            <h4 class="mb-4">PROJECT DRAFT - BALCONNECT</h4>
            <br>
            <p>
              Well over 90% of the living visible world is made out of plant life. In today’s hectic and complicated world, plants remain as important as ever.
            <br>
            <br>
            Living in an urban area, our active interactions with outdoor nature is limited to our balconies. But having a busy city lifestyle, we often struggle to keep this relation regular and we either forget to take care of our outdoor plants or forget to enjoy their presence.
Keeping our outdoor plants healthy is extremely important to keep them an active contributor to conserve urban biodiversity and improve the ecosystem services that eventually have a major role in human and environmental health. A recent report, the ‘World Economic Forum Global Risks Report 2016’ ranks the loss of biodiversity as one of the greatest risks that world must deal with. Any initiative that encourages the active involvement of civil society is therefore important.
<br>
            <br>
            Plants and the environmental microbiome are becoming building blocks of future production of everyday objects and even houses. We have to get used to living organisms around us, we have to learn how to live with them, how to observe them, how to take care of them and how to take care of ourselves.
    <br>
            <br>
            The restorative power of nature is clearly recognized, and acknowledged as an area in which the alienated individual with a busy city lifestyle finds a relief (Soft Fascination). Still, we spend 90% of our time indoors, where we are surrounded by artificial objects that create the opposite reaction in our minds, like overwhelm and burnout. This has created 2 different trends, approaches to live a natural experience indoors, driven by our longing for natural landscapes:
            <ul>
              <p>
              <li>In the recent years, the hobby of growing plants among citizens has become increasingly popular. But however resilient and adaptive plants can be, they still need to be taken care of by providing the right amount of water, sunlight, temperature and nutritions. This adds extra tasks to our everyday to-do lists, and so we often tend to wait with plant care until we have the time or until we see there’s some trouble and our plant is suffering - but this is sometimes too late.
<br>
<img src="../images/make/deadplants1.jpg" alt="" class="img-fluid w-100">
<img src="../images/make/deadplants2.jpg" alt="" class="img-fluid w-100">
<br>
              <li>The other trend is using everyday object that imitate nature, creating a kind of ‘placebo nature’ indoors:

                <img src="../images/make/flyingcarpet.jpg" alt="" class="img-fluid w-100">
                <img src="../images/make/officedecor.png" alt="" class="img-fluid w-100">
            </p>
            </ul>
             <br>
<br>
<p>
             In order to keep a habit sustainable, we have to make it easy, attractive and satisfying.
             My project idea attempts to help moving a step forward towards a lifestyle where we live and breathe with our outdoor plants and enjoy the biodiversity and natural landscape indoors through that we create outdoors on our balconies.
<br>
<br>
             Sensors are a popular way to help us maintain our plants healthy, so I would use sensors to monitor soil moisture, temperature and relative humidity. The sensors would send signals to an indoor device, which could serve as a mimic of nature indoors by turning green in case of a healthy plant (now in the form of a basic cube, but could have the form of a leaf, a plant, a decorative brick for the indoor wall etc.). If we keep our plant healthy outdoors, we can enjoy nature indoors as well (maybe also hearing the sounds of nature - the more plants we plant on our balconies, the more biodiversity it can mimic). E.g. we can ‘paint' our whole bedroom wall green just by maintaining a healthy flower garden. As any of our plant would start to experience stress e.g. by lacking the ideal amount of soil moisture, or having too much or too low temperature, the color of the device would turn black - a color which most of us associate with death, and definitely not with living nature.
<br>
<br>

	<img src="../images/make/projectdraft.JPG" alt="" class="img-fluid w-100">
<br>
  <img src="../images/make/w10/balconnectdevice.gif" alt="" class="img-fluid w-100">



</div>
</div>
</div>
</div>

</section>

  <div class="container">
    <div class="row justify-content-center">
      <div class="col-lg-8">
        <div class="text-center">
            <p>
  				<div class="mt-5">

					<a href="imakehome.html" class="btn btn-dark">FabAcademy Home</a>
					<a href="W2_CAD.html" class="btn btn-dark">W2</a>
				</div>
			</div>
</div>
</div>
</div>
<br>
<br>
<br>
</body>

<!-- jQuery -->
<script src="../plugins/jQuery/jquery.min.js"></script>
<!-- Bootstrap JS -->
<script src="../plugins/bootstrap/bootstrap.min.js"></script>
<script src="../plugins/aos/aos.js"></script>
<script src="../plugins/owl-carousel/owl.carousel.min.js"></script>
<script src="../plugins/shuffle/shuffle.min.js"></script>
<script src="../plugins/magnific-popup/jquery.magnific-popup.min.js"></script>
<script src="../plugins/animated-text/animated-text.js"></script>
<script src="../plugins/counto/apear.js"></script>
<script src="../plugins/counto/counTo.js"></script>

 <!-- Google Map -->
<script src="../plugins/google-map/map.js"></script>
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAkeLMlsiwzp6b3Gnaxd86lvakimwGA6UA&callback=initMap"></script>
<!-- Main Script -->
<script src="../js/script.js"></script>

</html>
